Get customer wallets
curl --request GET \
--url https://sandbox.finhub.cloud/api/v2.1/wallets/customer/{customerId} \
--header 'Authorization: <authorization>' \
--header 'X-Forwarded-For: <x-forwarded-for>' \
--header 'X-Forwarded-From: <x-forwarded-from>' \
--header 'X-Tenant-ID: <x-tenant-id>' \
--header 'deviceId: <deviceid>' \
--header 'platform: <platform>'import requests
url = "https://sandbox.finhub.cloud/api/v2.1/wallets/customer/{customerId}"
headers = {
"X-Tenant-ID": "<x-tenant-id>",
"X-Forwarded-For": "<x-forwarded-for>",
"X-Forwarded-From": "<x-forwarded-from>",
"platform": "<platform>",
"deviceId": "<deviceid>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Tenant-ID': '<x-tenant-id>',
'X-Forwarded-For': '<x-forwarded-for>',
'X-Forwarded-From': '<x-forwarded-from>',
platform: '<platform>',
deviceId: '<deviceid>',
Authorization: '<authorization>'
}
};
fetch('https://sandbox.finhub.cloud/api/v2.1/wallets/customer/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": [
{
"id": "<string>",
"walletId": "<string>",
"customerId": "<string>",
"name": "<string>",
"walletType": "<string>",
"status": "<string>",
"currency": "<string>",
"balance": "<string>",
"availableBalance": "<string>",
"iban": "<string>"
}
],
"message": "Success"
}Financial Operations
Get wallets by customer
Retrieve a customer’s wallets and IBANs to use in financial operations.
GET
/
api
/
v2.1
/
wallets
/
customer
/
{customerId}
Get customer wallets
Endpoint
GET /api/v2.1/wallets/customer/{customerId}
This endpoint requires
X-Forwarded-From and a device header. The backend accepts any of:
deviceId, X-Device-Id, device-id.Sample cURL
curl --request GET \
--url 'https://sandbox.finhub.cloud/api/v2.1/wallets/customer/{customerId}?customerType=B2C' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'X-Tenant-Id: <TENANT_ID>' \
--header 'Accept: application/json' \
--header 'X-Forwarded-From: <FORWARDED_FROM>' \
--header 'deviceId: <DEVICE_ID>'
B2B' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'X-Tenant-Id: <TENANT_ID>' \
--header 'Accept: application/json' \
--header 'X-Forwarded-From: <FORWARDED_FROM>' \
--header 'deviceId: <DEVICE_ID>'
Response Example
{
"code": 200,
"data": [
{
"id": "558ad9af-0482-471f-9385-5a943b80f6d2",
"walletId": "558ad9af-0482-471f-9385-5a943b80f6d2",
"customerId": "2dac1793-ab48-420c-b0b5-01292302e188",
"name": "B2C Product General Purpose Wallet",
"walletType": "b2c_product_general_purpose_wallet",
"status": "ACTIVE",
"currency": "EUR",
"balance": "0.00",
"availableBalance": "0.00",
"iban": "LT213320011000055860"
},
{
"id": "f9f66497-ef59-446b-9b32-34391b27c928",
"walletId": "f9f66497-ef59-446b-9b32-34391b27c928",
"customerId": "2dac1793-ab48-420c-b0b5-01292302e188",
"name": "B2C Master General Purpose Wallet",
"walletType": "b2c_master_general_purpose_wallet",
"status": "ACTIVE",
"currency": "EUR",
"balance": "0.00",
"availableBalance": "0.00"
}
],
"message": "Success"
}
After customer activation, poll this endpoint until wallets with IBAN appear. The IBAN is typically assigned to the Product General Purpose Wallet.
Missing Headers Error Example
{
"code": 500,
"data": {
"deviceId_accepted": [
"deviceId",
"X-Device-Id",
"device-id"
],
"missingHeaders": [
"X-Forwarded-From",
"deviceId"
]
},
"message": "Missing required header(s)"
}
Headers
Example:
"tenant-demo-001"
Client IP address
Example:
"127.0.0.1"
Client source identifier
Example:
"client-app"
Client platform
Example:
"mobile"
Device identifier
Example:
"device-demo-001"
Bearer JWT
Example:
"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJkZW1vLXVzZXIifQ.demo-signature"
Path Parameters
Example:
"00000000-0000-0000-0000-000000000000"
Query Parameters
⌘I